document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_3000 | ---
+++
@@ -10,5 +10,7 @@
sed -i "s|^APP_DB=.*|APP_DB=${db}|g" .env
+ echo "[$(date)] Starting upgrade to ${db}"
/usr/local/bin/docker-compose exec -T web sh -c "GUTENBERG_DATA=/data/${db} python -m gutenberg_http initdb runserver"
+ echo "[$(date)] Done with upgrade to ${db}"
) | bash |
d_bash_3001 | ---
+++
@@ -1,5 +1,10 @@
cd "$(dirname "$0")"
-for cmd in rhino ringo narwhal node; do
+echo "Testing in Rhino..."
+rhino -opt -1 tests.js
+echo "Testing in Ringo..."
+ringo -o -1 tests.js
+NARWHAL_OPTIMIZATION=-1
+for cmd in narwhal node; do
echo "Testing in $cmd..."
$cmd tests.js
done | bash |
d_bash_3002 | ---
+++
@@ -2,15 +2,15 @@
brew tap homebrew/science
brew install git
-brew install cmake
-brew install flann
-brew install boost
-brew install eigen
-brew install tinyxml
-brew install tinyxml2
-brew install libccd
-brew install nlopt
-brew install urdfdom
-brew install urdfdom_headers
-brew install console_bridg... | bash |
d_bash_3003 | ---
+++
@@ -13,5 +13,5 @@
if [[ $VER == "17" ]] && [[ $WHOLE_VER == *OpenJDK* ]]; then
mvn clean cobertura:cobertura install coveralls:report -q
else
- mvn clean install -q
+ mvn clean install -q -Droboconf.javadoc.check
fi | bash |
d_bash_3004 | ---
+++
@@ -1,8 +1,13 @@
#!/bin/bash
TARGET=../../nextflow-website/assets
-LATEST=$TARGET/docs/latest/
+if egrep "^release = '.*edge'$" -c conf.py >/dev/null; then
+MODE=edge
+else
+MODE=latest
+fi
+LATEST=$TARGET/docs/$MODE/
-mkdir -p $TARGET/docs/latest/
+mkdir -p $TLATEST
rsync -r _build/html/* $LATEST
| bash |
d_bash_3005 | ---
+++
@@ -13,7 +13,7 @@
echo "==============> No namespace build"
make clean >/dev/null
-make CXXFLAGS="${_FLAGS} -DDONT_SET_USING_DISTRHO_NAMESPACE"
+make CXXFLAGS="${_FLAGS} -DDONT_SET_USING_DISTRHO_NAMESPACE -DDONT_SET_USING_DGL_NAMESPACE"
echo "==============> Custom namespace build"
make clean >/dev/nu... | bash |
d_bash_3006 | ---
+++
@@ -6,10 +6,7 @@
fi
echo "Copying…"
-for file in $(ls -A . | grep -Ev '(.git$|install.sh)'); do
- rm -rf ~/"${file}" 2> /dev/null
- cp -rv "$PWD/${file}" ~/"${file}"
-done
+rsync -av --exclude='.git' --exclude='install.sh' . ~
echo "Linking…"
if [[ $(uname -s) == "Darwin" ]]; then | bash |
d_bash_3007 | ---
+++
@@ -3,6 +3,7 @@
: ${jagen_target_system:?}
export AR="${jagen_target_system}-ar"
+export AS="${jagen_target_system}-as"
export CC="${jagen_target_system}-gcc"
export CXX="${jagen_target_system}-g++"
-export STRIP="${jagen_target_system}-strip"
+export CPP="${jagen_target_system}-cpp" | bash |
d_bash_3008 | ---
+++
@@ -21,7 +21,9 @@
function add_backports() {
sed -i '/backports/d' /etc/apt/sources.list
+ sed -i '/security/d' /etc/apt/sources.list
echo 'deb http://http.debian.net/debian wheezy-backports main' >> /etc/apt/sources.list
+ echo 'deb http://security.debian.org/debian-security wheezy/updates main' >... | bash |
d_bash_3009 | ---
+++
@@ -8,3 +8,7 @@
brew install openmpi
;;
esac
+
+openmpi_mca_params=$HOME/.openmpi/mca-params.conf
+mkdir -p $(dirname $openmpi_mca_params)
+echo rmaps_base_oversubscribe=yes >> $openmpi_mca_params | bash |
d_bash_3010 | ---
+++
@@ -23,4 +23,7 @@
# in /usr/local (see global-6.5/plugin-factory/PLUGIN_HOWTO.pygments).
## Now installed from repo, so commented out
#export GTAGSCONF=/usr/local/share/gtags/gtags.conf
-export GTAGSLABEL=pygments
+# Clashes with my .globalrc:
+# gtags: label 'pygments' not found.
+# so unsetting:
+#export... | bash |
d_bash_3011 | ---
+++
@@ -12,4 +12,4 @@
#
cd ${KOKORO_ARTIFACTS_DIR}/github/googleapis || exit
${KOKORO_ROOT}/tools/bazel --output_user_root=${KOKORO_ROOT}/tools/bazel_root build --keep_going //...
-${KOKORO_ROOT}/tools/bazel --output_user_root=${KOKORO_ROOT}/tools/bazel_root test --keep_going //...
+${KOKORO_ROOT}/tools/bazel ... | bash |
d_bash_3012 | ---
+++
@@ -1,5 +1,17 @@
mysql -uroot -p <<END
-create database gdydb;
+/*create database gdydb;*/
use gdydb;
-create table player(id int, name text, nickname text);
+create table player(
+ id int,
+ name text,
+ nickname text,
+ description text,
+ sex text,
+ money int,
+ lastLoginTime datetime,
+ lastLogoutTim... | bash |
d_bash_3013 | ---
+++
@@ -1,7 +1,7 @@
-#!/bin/bash
+#!/bin/bash
TARGET="/Applications/Nxt Wallet.app/Contents/Resources/nxt/html/ui/plugins/<%= pluginName %>/"
-
+mkdir "$TARGET"
cp -Rfv ./css "$TARGET"
cp -Rfv ./html "$TARGET"
cp -Rfv ./js "$TARGET" | bash |
d_bash_3014 | ---
+++
@@ -2,7 +2,10 @@
DIR=`dirname $0`
cd "${DIR}" || exit 1
-REPO_URL='https://github.com/openstack/fuel-noop-fixtures.git'
+REPO_URL=${NOOP_FIXTURES_REPO_URL:-'https://github.com/openstack/fuel-noop-fixtures.git'}
+BRANCH=${NOOP_FIXTURES_BRANCH:-'origin/master'}
+GERRIT_URL=${NOOP_FIXTURES_GERRIT_URL:-'https... | bash |
d_bash_3015 | ---
+++
@@ -27,5 +27,6 @@
--js='!**protractor_spec.js' \
--js='!**protractor.conf.js' \
--js='!**browser_capabilities.js' \
+ --js='!**bin/generate_closure_unit_tests/generate_closure_unit_tests.js' \
--js='!./doc/**.js' \
--js_output_file=$(mktemp); | bash |
d_bash_3016 | ---
+++
@@ -14,8 +14,10 @@
}
on_init() {
- if ! cmd_exists "vim"; then
+ if ! cmd_exists 'vim' || package_has_update 'vim'; then
send_cmd enqueue_packages "vim"
+ fi
+ if ! cmd_exists 'ag'; then
send_cmd enqueue_packages "silversearcher-ag"
fi
}
@@ -34,7 +36,7 @@
curl --... | bash |
d_bash_3017 | ---
+++
@@ -21,12 +21,9 @@
exit 1
fi
-echo $results | tr ' ' "\n"
-echo "-------"
-
if [ "$readyPods" -ne "$allPods" ]; then
exit 1
fi
-echo "Success"
+echo "All pods are ready."
exit 0 | bash |
d_bash_3018 | ---
+++
@@ -30,13 +30,14 @@
fi
num_running=`oc get pods | grep -v deploy | grep -c Running`
if [ "$num_running" -eq "$EXPECTED_PODS" ]; then
- if [ waitingContainersReady ]
+ waitingContainersReady
+ if [ $? -gt 0 ]
then
+ echo "All pods are up but all container... | bash |
d_bash_3019 | ---
+++
@@ -22,7 +22,8 @@
}
set_maven_version() {
- $(maven_command) --batch-mode versions:set versions:commit -DnewVersion="${1}" >/dev/null || fatal "Could not set project version to ${1}!"
+ local plugin="org.codehaus.mojo:versions-maven-plugin:2.7"
+ $(maven_command) --batch-mode "${plugin}:set" "${p... | bash |
d_bash_3020 | ---
+++
@@ -3,4 +3,4 @@
source /tmp/chroot-functions.sh
echo "Double checking everything is fresh and happy."
-run_merge -uDN world
+run_merge -uDN --with-bdeps=y world | bash |
d_bash_3021 | ---
+++
@@ -1,14 +1,14 @@
#!/bin/bash
-wget https://github.com/downloads/elasticsearch/elasticsearch/elasticsearch-0.19.9.tar.gz
-tar -xzf elasticsearch-0.19.9.tar.gz
-sed 's/# index.number_of_shards: 1/index.number_of_shards: 2/' elasticsearch-0.19.9/config/elasticsearch.yml > elasticsearch-0.19.9/config/elastics... | bash |
d_bash_3022 | ---
+++
@@ -12,8 +12,11 @@
[yY][eE][sS]|[yY]|"")
return 0;
;;
+ [nN][oO]|[nN])
+ return 1;
+ ;;
*)
- return 1;
+ ask_user_default_yes "$request";
;;
esac
} | bash |
d_bash_3023 | ---
+++
@@ -3,7 +3,7 @@
fi
alias gl='git pull --prune'
alias glog="git log --graph --pretty=format:'%Cred%h%Creset %an: %s - %Creset %C(yellow)%d%Creset %Cgreen(%cr)%Creset' --abbrev-commit --date=relative"
-alias gp='git push origin HEAD'
+alias gp='git push -u origin HEAD'
alias gd='git diff'
alias gc='git com... | bash |
d_bash_3024 | ---
+++
@@ -13,7 +13,7 @@
ruby "$DOTFILES/copy_dotfiles.rb"
# Install plugins:
-gvim +PluginInstall +qall
+vim +PluginInstall +qall # Must be terminal Vim, so that the next command won't be run until this finishes.
# Build YouCompleteMe:
cd ~/.vim/bundle/YouCompleteMe && ./install.sh --clang-completer | bash |
d_bash_3025 | ---
+++
@@ -4,6 +4,6 @@
# make sure the package repository is up to date
zypper --non-interactive --gpg-auto-import-keys ref
-zypper -n in --no-recommends python-devel python-pip make
+zypper -n in --no-recommends python-devel python-pip make bind-utils
pip install pytest mock
| bash |
d_bash_3026 | ---
+++
@@ -1,19 +1,29 @@
#!/bin/bash
-export LANG="en_US.UTF-8"
+WHITELIST=(
+ src/lifetime/lifetime.rs
+)
echo "Checking if any rust file has a line longer than 75 characters"
-offenders=$(grep -Pl ".{76}" src/*/*.rs)
+suspects=$(grep -Pl ".{76}" src/*/*.rs)
status=$?
+any_offender=false
if [[ $status ... | bash |
d_bash_3027 | ---
+++
@@ -13,9 +13,9 @@
exit 0
fi
-if [[ ! "$RUSTC_VERSION" =~ "1.6.0" ]]
+if [[ ! "$RUSTC_VERSION" =~ "1.8.0" ]]
then
- echo "Wrong version of rustc: expected 1.6.0, got $RUSTC_VERSION"
+ echo "Wrong version of rustc: expected 1.8.0, got $RUSTC_VERSION"
exit 0
fi
| bash |
d_bash_3028 | ---
+++
@@ -8,6 +8,7 @@
sleep 1
(
cd data
+ rm -f $FILES;
for file in $FILES; do
wget --user-agent=NSPlayer -q --output-document=- http://localhost:9999/$file?date=19700101T000000Z | head --bytes=100000 > $file &
done | bash |
d_bash_3029 | ---
+++
@@ -10,7 +10,7 @@
MY_DIR="$(dirname "$0")"
${MY_DIR}/xcode.sh
-${MY_DIR}/homebrew.sh
+echo | ${MY_DIR}/homebrew.sh
${MY_DIR}/git.sh
${MY_DIR}/gpg.sh
${MY_DIR}/ruby.sh | bash |
d_bash_3030 | ---
+++
@@ -6,5 +6,6 @@
echo ${script_name}
echo ${build_arg}
-docker build -t xianyi/openblas-ci .
+#docker build -t xianyi/openblas-ci .
+docker pull xianyi/openblas-ci
docker run --rm -v $PWD:/io xianyi/openblas-ci /io/${script_name} "${build_arg}" | bash |
d_bash_3031 | ---
+++
@@ -3,3 +3,6 @@
# Use sublime for my editor.
export EDITOR='subl'
fi
+
+# Set vi tips to edit text in command line
+set -o vi | bash |
d_bash_3032 | ---
+++
@@ -22,6 +22,7 @@
if [ "$ecode" -eq "3" ]
then
+ git checkout -- blacklisted_websites.txt
git checkout master
git pull
git submodule update | bash |
d_bash_3033 | ---
+++
@@ -2,7 +2,7 @@
check_version() {
v="${1}"
- [ -n "$(terraform --version | grep -E "^Terraform v${v}(-dev)?$")" ]
+ [ -n "$(terraform --version | grep -E "^Terraform v${v}((-dev)|( \([a-f0-9]+\)))?$")" ]
}
cleanup() { | bash |
d_bash_3034 | ---
+++
@@ -15,3 +15,6 @@
python setup.py install
cd .. && rm -rf pycortex
rm -rf ~/.config/pycortex
+
+# Install the package nistats (currently not on pypi yet)
+(cd ~ && git clone https://github.com/nistats/nistats.git && cd nistats && python setup.py install && cd ~ && rm nistats -rf) | bash |
d_bash_3035 | ---
+++
@@ -2,6 +2,6 @@
karma start config/karma.conf.js --no-auto-watch --single-run --reporters=dots --browsers=PhantomJS
-NODE_ENV=test node server/server.js > /dev/null &
-sleep 1 # give server time to start
-karma start config/karma-e2e.conf.js --no-auto-watch --single-run --reporters=dots --browsers=Phanto... | bash |
d_bash_3036 | ---
+++
@@ -6,5 +6,7 @@
git config user.name "$RELEASERS_NAME" &&
git config user.email "$RELEASERS_EMAIL" &&
git config push.default simple &&
+ git checkout master &&
+ git pull origin master &&
lein release :patch
fi | bash |
d_bash_3037 | ---
+++
@@ -13,5 +13,8 @@
get_git_revision https://github.com/mcarpenter/afl be3e88d639da5350603f6c0fee06970128504342 afl
build_lib
build_fuzzer
+
+cp afl/dictionaries/xml.dict .
+
set -x
$CXX $CXXFLAGS -std=c++11 $SCRIPT_DIR/target.cc -I BUILD/include BUILD/.libs/libxml2.a $LIB_FUZZING_ENGINE -lz -o $EXECUTABL... | bash |
d_bash_3038 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-apt update && apt upgrade && apt autoremove
-apm update
+apt update && apt -y upgrade && apt -y autoremove
+#apm update
npm -g update
gem update --system
gem update | bash |
d_bash_3039 | ---
+++
@@ -17,3 +17,6 @@
# Lock the screen (when going AFK)
alias afk="/System/Library/CoreServices/Menu\ Extras/User.menu/Contents/Resources/CGSession -suspend"
+
+# Remove all .DS_Store files in the current folders
+alias cleanup="sudo find . -name ".DS_Store" -depth -exec rm {} \;" | bash |
d_bash_3040 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
/opt/envsubst < /envsubst_template.json > /conf/runtime.json
-exec java -jar /git-bridge.jar /conf/runtime.json
+exec java -Xms512m -Xmx3072m -jar /git-bridge.jar /conf/runtime.json | bash |
d_bash_3041 | ---
+++
@@ -15,6 +15,6 @@
docker push "pachyderm/worker:${version}"
# Push pipeline build images
- make docker-build-pipeline-build
- make docker-push-pipeline-build
+ make VERSION=${version} docker-build-pipeline-build
+ make VERSION=${version} docker-push-pipeline-build
fi | bash |
d_bash_3042 | ---
+++
@@ -10,4 +10,4 @@
exit 0
fi
-$GOPATH/bin/post_results -validator=compat-report -modelRoot=$_MODEL_ROOT -repo-slug=$_REPO_SLUG -pr-branch=$_HEAD_BRANCH -commit-sha=$COMMIT_SHA
+$GOPATH/bin/post_results -validator=compat-report -modelRoot=$_MODEL_ROOT -repo-slug=$_REPO_SLUG -pr-branch=$_HEAD_BRANCH -commi... | bash |
d_bash_3043 | ---
+++
@@ -9,11 +9,6 @@
# TODO: Pick the latest, not every matching tgz file!
tar -zxf ../../../pkg/django_govuk_template-*.tgz -C vendor/django_govuk_template --strip-components 1
-pip install virtualenv
-
-virtualenv .env
-source .env/bin/activate
-
pip install Django
python build.py | bash |
d_bash_3044 | ---
+++
@@ -27,7 +27,7 @@
git config --global user.name "Travis"
git config --global user.email travis@example.com
-opam init git://github.com/ocaml/opam-repository > /dev/null 2>&1
+opam init >/dev/null 2>&1
opam update
eval `opam config env` | bash |
d_bash_3045 | ---
+++
@@ -36,6 +36,6 @@
svn import "$EPGP_DIR/epgp" https://epgp.googlecode.com/svn/tags/epgp-$1
Upload release file to googlecode:
-"$EPGP_DIR/scripts/googlecode/googlecode-upload.py" -s "epgp-$1" -p epgp -u evlogimenos "$RELEASE_ZIP"
+"$EPGP_DIR/scripts/googlecode/googlecode_upload.py" -s "epgp-$1" -p epgp -u... | bash |
d_bash_3046 | ---
+++
@@ -2,14 +2,14 @@
if [ -n "$1" ]; then
mkdir tmp
curl https://raw.github.com/angular/code.angularjs.org/master/$1/angular-$1.zip -o tmp/angular.zip
- rm -fr app/lib/angular
- unzip tmp/angular.zip -d app/lib
- mv app/lib/angular-$1 app/lib/angular
- rm -fr app/lib/angular/docs
- mv app/lib/angular... | bash |
d_bash_3047 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/sh -ex
-wget https://redis.googlecode.com/files/redis-2.6.16.tar.gz
+wget http://download.redis.io/releases/redis-2.6.16.tar.gz
tar xzf redis-2.6.16.tar.gz
cd redis-2.6.16
make | bash |
d_bash_3048 | ---
+++
@@ -42,3 +42,8 @@
test_done() {
echo "1..$test_count"
}
+
+: ${TEST_DIR:=$(pwd)}
+BUILD_DIR="$TEST_DIR/.."
+PATH="$BUILD_DIR:$PATH"
+export PATH | bash |
d_bash_3049 | ---
+++
@@ -11,6 +11,6 @@
export PYTHONPATH=$WORKSPACE/sasview-install:$WORKSPACE/utils:$PYTHONPATH
cd $WORKSPACE
-rm -f test/*.txt
+rm -f test/sasview.txt
-$PYLINT --rcfile "$WORKSPACE/build_tools/pylint.rc" -f parseable sasview-install/sasview.egg/sas sasview > test/sasview.txt || exit 0
+$PYLINT --rcfile "$W... | bash |
d_bash_3050 | ---
+++
@@ -2,6 +2,17 @@
@class
AppServerVersionConstants(){
+ @private
+ _convertMethodToConstant(){
+ local cmd=${1}
+
+ if [[ ${cmd} == *Version ]]; then
+ local cmd=$(StringUtil toUpperCase ${1//Version/}_VERSION)
+ fi
+
+ echo ${cmd}
+ }
+
GLASSFISH_VERSION(){
echo "3.1.2.2"
}
@@ -46,11 +57,5 @@... | bash |
d_bash_3051 | ---
+++
@@ -23,6 +23,11 @@
PS1="\n$_hostname: $_pwd$_git_info\n\[$Abase1\]$ "
fi
+# Reset prompt, so first line of output doesn't appear in weird colours (eg. git
+# status output)
+reset=$(tput sgr0)
+PS1="$PS1\[$reset\]"
+
export PROMPT_DIRTRIM=4
# Write to history file on every prompt to make sure it a... | bash |
d_bash_3052 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
set -eux
sudo gem install github-pages bundler
-bundle update
+bundle install
bundle exec jekyll build
mv _site "$BONNYCI_TEST_LOG_DIR" | bash |
d_bash_3053 | ---
+++
@@ -11,7 +11,7 @@
cd "$name"
install_dir="$HOME/opt/qt-$version"
-./configure -prefix "$install_dir" -opensource -confirm-license -optimized-qmake -nomake examples -nomake tests -no-webkit
+./configure -prefix "$install_dir" -opensource -confirm-license -optimized-qmake -nomake examples -nomake tests
mak... | bash |
d_bash_3054 | ---
+++
@@ -12,8 +12,13 @@
export LDFLAGS="-L$(brew --prefix)/opt/llvm/lib -Wl,-rpath,$(brew --prefix)/opt/llvm/lib"
}
- brew uninstall node || true
- brew install --build-from-source node
+ echo_do "brew: Installing NodeJS packages..."
+ BREW_FORMULAE="$(cat <<-EOF
+node
+EOF
+)"
+ bre... | bash |
d_bash_3055 | ---
+++
@@ -1,4 +1,12 @@
# Cygwin shell configuration
+
+# Cygwin package repository mirrors to use
+CYGWIN_PKGS_MAIN='http://mirror.internode.on.net/pub/cygwin/' # Cygwin Core
+CYGWIN_PKGS_PORTS='ftp://ftp.cygwinports.org/pub/cygwinports/' # Cygwin Ports
+
+# Handy aliases to each package repository
+alias apt-cyg... | bash |
d_bash_3056 | ---
+++
@@ -1,6 +1,10 @@
#!/bin/bash
set -ex
+
+REPO="git@github.com:square/pollexor.git"
+GROUP_ID="com.squareup"
+ARTIFACT_ID="pollexor"
DIR=temp-clone
@@ -8,7 +12,7 @@
rm -rf $DIR
# Clone the current repo into temp folder
-git clone git@github.com:square/pollexor.git $DIR
+git clone $REPO $DIR
# Mo... | bash |
d_bash_3057 | ---
+++
@@ -9,6 +9,7 @@
./wait-for-it.sh --timeout=0 localhost:8001
sleep 5 # to wait for fully booted
curl -v http://localhost:8001/kv/_config
+ docker-compose stop
docker login -u="$DOCKER_USERNAME" -p="$DOCKER_PASSWORD"
docker push potboiler/core
docker push potboiler/kv | bash |
d_bash_3058 | ---
+++
@@ -3,6 +3,10 @@
set -e
MAVEN_CLI_OPTS=${MAVEN_CLI_OPTS:-}
+
+allowWriteToTestDirectory(){
+ chmod -R 777 .travis/test
+}
runPackageIntegrationTests(){
docker-compose -f .travis/docker-compose.package-it.yml up -d
@@ -40,6 +44,7 @@
export BROWSER="$browser"
}
+allowWriteToTestDirectory
... | bash |
d_bash_3059 | ---
+++
@@ -22,6 +22,8 @@
v="$v"-dirty
fi
fi
+else
+ v="$v"-unknown
fi
echo "char openconnect_version[] = \"$v\";" > version.c | bash |
d_bash_3060 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/sh
-docker rm --force webex || true
+docker rm --force webex >/dev/null 2>&1
docker build --tag=webex .
docker run -ti \
--env DISPLAY=unix$DISPLAY \
@@ -8,4 +8,4 @@
--name=webex \
--volume /dev/snd:/dev/snd \
--volume /tmp/.X11-unix:/tmp/.X11-unix \
- webex
+ webex $1 | bash |
d_bash_3061 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/sh
# this pack is valid for apps with a hello.txt in the root
-if [ -f $1/procfile ]; then
+if [ -f $1/Procfile ]; then
echo "Procfile"
exit 0
else | bash |
d_bash_3062 | ---
+++
@@ -8,6 +8,6 @@
size=$(zfs get -Hp -o value used $snapshot)
if [ $size -eq 0 ]; then
echo "Destroying size:$size snapshot: $snapshot"
- zfs destroy $snapshot
+ zfs destroy -d $snapshot
fi
done | bash |
d_bash_3063 | ---
+++
@@ -9,7 +9,7 @@
cargo_install "ripgrep"
cargo_install "runiq"
cargo_install "tealdeer"
-cargo_install "tin-summer"
+#cargo_install "tin-summer"
cargo_install "watchexec"
# Pipeline Tools | bash |
d_bash_3064 | ---
+++
@@ -15,4 +15,7 @@
}
export EDITOR='mate -w'
export GIT_EDITOR="mate --name 'Git Commit Message' -w -l 1"
+elif command_exists rmate; then
+ export EDITOR='rmate -w'
+ export GIT_EDITOR="rmate --name 'Git Commit Message' -w -l 1"
fi | bash |
d_bash_3065 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
# Read the config.schema.json and validates against config.json
-# $1: github project name
-rm -rf $1
-git clone http://github.com/mozilla-services/$1
-python $1/setup.py develop
-absearch-check
+# The absearch project stores it's config/schema in the absearchdata project
+rm -rf... | bash |
d_bash_3066 | ---
+++
@@ -7,6 +7,7 @@
nginx_root="$root/nginx"
mkdir $nginx_root
root="$nginx_root" ./certbot-nginx/tests/boulder-integration.conf.sh > $nginx_root/nginx.conf
+cp certbot-nginx/certbot_nginx/options-ssl-nginx.conf $nginx_root
killall nginx || true
nginx -c $nginx_root/nginx.conf | bash |
d_bash_3067 | ---
+++
@@ -27,6 +27,7 @@
# move the working path and build
cd .gopath/src/github.com/${OWNER}/${PROJECT_NAME}
go get -d -v ./...
+godep restore
# building the master branch on ci
if [ "$BUILDBOX_BRANCH" = "master" ]; then | bash |
d_bash_3068 | ---
+++
@@ -6,3 +6,6 @@
./autogen.sh --prefix=/usr
make
sudo make install
+
+mysql -e 'create database test_gir;'
+psql -c 'create database test_gir;' -U postgres | bash |
d_bash_3069 | ---
+++
@@ -36,5 +36,5 @@
$(ls **/src/lib.rs src/lib.rs)
git add .
-git commit -m "Version 0.8.1"
+git commit -m "Version ${1}"
git tag "v${1}" | bash |
d_bash_3070 | ---
+++
@@ -19,3 +19,4 @@
# One letter commands for the most common programs
alias v='vim'
alias g='git'
+alias t='tmux' | bash |
d_bash_3071 | ---
+++
@@ -8,5 +8,3 @@
bindkey '^[[1;5D' backward-word
bindkey "^R" history-incremental-search-backward
bindkey "^P" history-search-backward
-bindkey "^N" insert-last-word
-bindkey "^Q" push-line-or-edit | bash |
d_bash_3072 | ---
+++
@@ -15,12 +15,13 @@
export GOPATH="$HOME/Developer/go"
export PATH="$PATH:$GOPATH/bin"
+# Rust
+export PATH="$PATH:$HOME/.cargo/bin"
+export PATH="$HOME/.multirust/bin:$PATH"
+
# Ruby
export PATH="$HOME/.rvm/bin:$PATH" # Add RVM to PATH for scripting
[[ -s "$HOME/.rvm/scripts/rvm" ]] && source "$HOME/.... | bash |
d_bash_3073 | ---
+++
@@ -2,9 +2,12 @@
cd ~/repo
+github_clone_ro.sh apitrace/apitrace
github_clone_ro.sh gittup/tup
github_clone_ro.sh gmarik/Vundle.vim ~/.vim/bundle/Vundle.vim
+github_clone_ro.sh KhronosGroup/glslang
github_clone_ro.sh krzysztof-jusiak/gmock
+github_clone_ro.sh patriciogonzalezvivo/glslViewer
github_cl... | bash |
d_bash_3074 | ---
+++
@@ -2,5 +2,4 @@
node --version
npm --version
yarn --version
-yarn install
yarn test | bash |
d_bash_3075 | ---
+++
@@ -17,4 +17,4 @@
npm i -g strip-comments-cli css-scss-cli get-embedded-styles-cli
-npm i -g git-current-branch git-current-repo ggpull ggpush
+npm i -g git-current-branch git-current-repo ggpull ggpush ggpullt ggpusht ghclone gtag | bash |
d_bash_3076 | ---
+++
@@ -20,12 +20,25 @@
cd "$enforcer_target_dir" || exit 1
echo "Creating test fixtures for real-time-enforcer"
- terraform init
- terraform apply -auto-approve -input=false -no-color
+ terraform init || exit 1
+
+ # The real time enforcer will be modifying resources while Terraform is
+ # setting u... | bash |
d_bash_3077 | ---
+++
@@ -9,11 +9,11 @@
}
minify_css() {
- [ -z "$DIRECTORY_CSS" ] || find "web-application/$DIRECTORY_CSS" -name "*.css" -exec yuicompressor {} -v --type css --output={} \;
+ [ -z "$DIRECTORY_CSS" ] || find "web-application/$DIRECTORY_CSS" -name "*.css" -exec yui-compressor {} -v --type css --output={} \;
}... | bash |
d_bash_3078 | ---
+++
@@ -9,8 +9,8 @@
# Setup.
libexec="${root}/libexec"
export TMUXIFIER_TMUX_OPTS="-L tmuxifier-tests"
-tmux $TMUXIFIER_TMUX_OPTS new -d -s foobar
-tmux $TMUXIFIER_TMUX_OPTS new -d -s dude
+tmux $TMUXIFIER_TMUX_OPTS new-session -d -s foobar
+tmux $TMUXIFIER_TMUX_OPTS new-session -d -s dude
# Passes all argu... | bash |
d_bash_3079 | ---
+++
@@ -11,7 +11,7 @@
dotnet minicover instrument --workdir ../coverage --parentdir ../ --assemblies **/bin/**/*.dll --sources **/*.cs
# Reset hits count in case minicover was run for this project
-dotnet minicover reset
+dotnet minicover reset --workdir ../coverage
cd -
| bash |
d_bash_3080 | ---
+++
@@ -17,7 +17,7 @@
fi
test -f re2/$LIBRE2 && exit 0
- RE2_REV=${RE2_REV:-2017-03-01}
+ RE2_REV=${RE2_REV:-2017-04-01}
test -d re2 || git clone https://code.googlesource.com/re2
(cd re2 && git fetch --all && git checkout $RE2_REV)
| bash |
d_bash_3081 | ---
+++
@@ -10,8 +10,8 @@
return
fi
-wget -q --no-check-certificate -O jet-1130-pro-en-linux-x86.bin "${JET_URL}"
-chmod +x ./jet-1130-pro-en-linux-x86.bin
-./jet-1130-pro-en-linux-x86.bin -batch -no-aftrun
-export JET_HOME="`pwd`/jet11.3-pro-x86/"
-mvn jet:testrun jet:build
+wget -q --no-check-certificate -O... | bash |
d_bash_3082 | ---
+++
@@ -5,8 +5,11 @@
PHPUNIT=$?
### Check coding standards
-vendor/bin/phpcs --standard=psr2 src tests
-PHPCS=$?
+PHPCS=0
+if [ '$TRAVIS_PHP_VERSION' != '5.3' ]; then
+ vendor/bin/phpcs --standard=psr2 src tests
+ PHPCS=$?
+fi
### Check code quality
vendor/bin/phpmd src text codesize | bash |
d_bash_3083 | ---
+++
@@ -4,6 +4,13 @@
# AresBD
#
# Copyright (c) 2015 Stsosz Systems. All rights reserved.
+
+if [[ $UID != 0 ]]; then
+echo "Please run this script with sudo:"
+echo "sudo $0 $*"
+exit 1
+fi
+
echo 'Welcome to the Stsosz Systems ABDConsole Installer.'
read -p "Would you like to proceed with installation:... | bash |
d_bash_3084 | ---
+++
@@ -3,7 +3,7 @@
source .config/build
source $SCRIPTS_FOLDER/util.sh
-STORYBOOK_DEST=$DEST/_designsystem
+STORYBOOK_DEST=$DEST/public/_designsystem
STORYBOOK_DEST=$STORYBOOK_DEST \
.scripts/designsystem/build.sh | bash |
d_bash_3085 | ---
+++
@@ -12,5 +12,6 @@
# Our constraints are wrong I believe. We need this version.
opam install -y menhir.20170712
opam pin add -y reason .
+opam pin add -y rtop .
make test-ci
git diff --exit-code | bash |
d_bash_3086 | ---
+++
@@ -2,4 +2,4 @@
cp -a $2 ~/storeAIP/.
-curl --retry 20 -c - -d "login%5Bemail%5D=demo%40example.com&login%5Bpassword%5D=demo" -o /dev/null http://localhost/index.php/user/login | curl -v --retry 20 -b - -F title=$1 -F upload_file[140]=@$2 http://localhost/index.php/informationobject/create/isad
+curl --r... | bash |
d_bash_3087 | ---
+++
@@ -14,4 +14,7 @@
# remove dev files
rm -rf ./$COPY_DEST/$DEPLOY_DATA_FOLDER/*
+# copy env files
+cp -af $DEPLOYMENT_FOLDER/files/$DEPLOYENV/. "$COPY_DEST/"
+
rsync -azP -e "ssh -p $DEPLOY_PORT" $COPY_DEST/ $DEPLOY_USER@$DEPLOY_HOST:$DEPLOY_APPROOT/current | bash |
d_bash_3088 | ---
+++
@@ -15,7 +15,7 @@
SDKDIR="$HOME/lib/touch-2.4.0"
# directory where apps will be generated
-APPSDIR="$HOME/Desktop/cascade-appssss"
+APPSDIR="$HOME/Desktop/cascade-apps"
# default domain used for the cordova namespace
CORDOVADOMAIN=com.example | bash |
d_bash_3089 | ---
+++
@@ -17,3 +17,6 @@
exit 1
fi
fi
+
+echo "=> Downloading dependency (BitByteData) using Carthage"
+(set -x; carthage bootstrap) | bash |
d_bash_3090 | ---
+++
@@ -7,7 +7,6 @@
# vars
VENV=tmp-venv
PY=${VENV}/bin/python
-
# manual work-around for ubuntu
PY=python
@@ -38,11 +37,11 @@
echo "$(date +%Y-%m-%d\ %H:%M:%S) -- started running $0"
-filedate=$(date %Y-%m-%dT%H:%M:%S)
+filedate="$(date +%Y-%m-%dT%H:%M:%S)"
for i in ${SEQUENCE}; do
echo "$(da... | bash |
d_bash_3091 | ---
+++
@@ -7,5 +7,5 @@
git clone https://github.com/buserror/simavr
cd simavr && sudo make install
cd ../
-wget -O "arduino.tar.gz" "http://arduino.googlecode.com/files/arduino-1.0.3-linux64.tgz"
+wget -O "arduino.tar.gz" "http://downloads.arduino.cc/arduino-1.0.3-linux64.tgz"
tar xzf arduino.tar.gz | bash |
d_bash_3092 | ---
+++
@@ -34,3 +34,8 @@
# Call common initialization
source $SCRIPTDIR/utilities/init.sh
+if [[ $IDS_URL == *"stage1"* ]]; then
+ debugme echo -e "\nUsing branch: 'STAGE1' of utilities.\n"
+else
+ debugme echo -e "\nUsing branch: 'master' of utilities.\n"
+fi | bash |
d_bash_3093 | ---
+++
@@ -8,6 +8,9 @@
sdk="iphoneos"
basecmd="xcodebuild -scheme Vector -workspace Vector.xcworkspace -configuration Release -sdk $sdk -derivedDataPath $builddir"
vars=""
+
+# Clean the Xcode build folder to avoid caching issues that happens sometimes
+rm -rf ~/Library/Developer/Xcode/DerivedData/*
if [ -n "$... | bash |
d_bash_3094 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
set -e
-version="20.10.20"
+version="20.10.21"
echo "https://download.docker.com/linux/static/stable/x86_64/docker-$version.tgz"; | bash |
d_bash_3095 | ---
+++
@@ -9,12 +9,16 @@
export MAINSCHEMAFILE=$SOLR_ROOT/solr/main/conf/schema.xml
export TESTINGSCHEMAFILE=$SOLR_ROOT/solr/testing/conf/schema.xml
+# If any solr server is currently running, stop it first:
+echo "Checking for a previous running SOLR server..."
+"$METASHAREDIR/stop-solr.sh"
+
+
# Update schema... | bash |
d_bash_3096 | ---
+++
@@ -11,16 +11,4 @@
cd $REPO_DIR
. ./proxy_setup.sh
-# Iterate over a list of "<dpkg name> <gem name>" necessary for the Gemfile
-for p in "libaugeas-dev ruby-augeas" "libmysqlclient-dev mysql2" "libmysqld-dev mysql2" "libkrb5-dev rkerberos"; do
- if [ $(dpkg-query -W -f='${Status}' ${p% *} 2>/dev/null |... | bash |
d_bash_3097 | ---
+++
@@ -21,7 +21,7 @@
dir=/home/sirius
if [ -d $dir ]; then
cd $dir
- if [ -d $dir/epics-dev ]; then
+ if [ ! -d $dir/epics-dev ]; then
git clone ssh://git@github.com/lnls-sirius/epics-dev.git
fi
cd epics-dev/ | bash |
d_bash_3098 | ---
+++
@@ -8,3 +8,4 @@
eval $cmd
fi
fi
+sed -i -e 's/#auth = true/auth = true/g' /etc/mongodb.conf | bash |
d_bash_3099 | ---
+++
@@ -9,7 +9,7 @@
echo "https://github.com/adoptium/temurin11-binaries/releases/download/jdk-11.0.12%2B7/OpenJDK11U-jdk_x64_linux_hotspot_11.0.12_7.tar.gz"
;;
java16)
- echo "https://github.com/AdoptOpenJDK/openjdk16-binaries/releases/download/jdk-16.0.1%2B9/OpenJDK16U-jdk_x64_linux_hotspot_16.0.1_9.t... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.